using System;
using System.Windows.Forms;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Usage
{
    [Serializable]
    public class Rule2235
    {
        // このフィールドは CA2235 に違反しています。
        private Rule2235A value = new Rule2235A();

        public Rule2235A Value
        {
            get
            {
                return this.value;
            }
        }
    }

    public class Rule2235A
    {
        private int index = 1;

        public int Index
        {
            get
            {
                return this.index;
            }
        }
    }
}
